package ExpandCategoryAreaCSS::CMS;
use strict;

sub _expand_category_area_css {
    my ($cb, $app, $tmpl) = @_;
    my $old = <<HERE;
<mt:var name="html_head">
HERE
    $old = quotemeta($old);

    my $plugin = $app->component('ExpandCategoryAreaCSS');
    my $height = $plugin->get_config_value('cat_area_height', 'blog:'.$app->param('blog_id')) || 320;

    my $new = <<HERE;
<mt:var name="html_head">
<style type="text/css">
.category-selector-list {
  height:${height}px;
}
</style>
HERE
    $$tmpl =~ s/$old/$new/;
}

1;
